%define api_version 2
%define lib_major 2
%define gtkbinaryver %(pkg-config gtk+-2.0 --variable=gtk_binary_version)
%define lib_name %mklibname rsvg %{api_version} %{lib_major}

Name:		librsvg
Summary:	Raph's SVG library
Version: 2.9.5
Release: 	2mdk
License: 	LGPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 2.8.1-5mdk allow build with mozilla-firefox
Patch0:		librsvg-2.8.1-firefox.patch.bz2
URL: 		http://librsvg.sourceforge.net/
Requires(post):	gtk+2.0 >= 2.4.4-5mdk
Requires(postun): gtk+2.0 >= 2.4.4-5mdk
Requires:	gtk+2.0 >= 2.4.4-5mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk+2-devel >= 2.4.0
BuildRequires:	libart_lgpl-devel
BuildRequires:  libgsf-devel
BuildRequires:  libcroco0.6-devel
BuildRequires:  gtk-doc >= 0.9
BuildRequires:  docbook-dtd31-sgml
BuildRequires:	mozilla-firefox-devel

%description
A library that uses libart and pango to render svg files.

%package -n %{lib_name}
Summary:	Raph's SVG library
Group:		System/Libraries
Provides:   %{name}%{api_version} = %{version}-%{release}

%description -n %{lib_name}
A library that uses libart and pango to render svg files.

%package -n %{lib_name}-devel
Summary:	Libraries and include files for developing with librsvg
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:   %{name}%{api_version}-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%prep
%setup -q
%patch0 -p1 -b .firefox
#needed by patch0 
autoconf

%build
%configure2_5x
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/*/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{la,a} \
 $RPM_BUILD_ROOT%{_docdir}/librsvg

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib

%postun
%{_bindir}/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/rsvg*
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/loaders/*.so
%{_libdir}/mozilla/plugins/*.so
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/html/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/librsvg-%{api_version}
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*

%changelog
* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 2.9.5-2mdk
- replace prereq

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.9.5-1mdk 
- Release 2.9.5 (based on Gtz Waschk package)

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk 
- Rebuild with firefox

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk 
- Rebuild with latest howl

* Mon Dec 13 2004 Abel Cheung <deaddog@mandrake.org> 2.8.1-3mdk
- Remove wrong or outdated requirements

* Fri Nov 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.1-2mdk
- add BuildRequires: mozilla-devel

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.5-2mdk
- biarch support

* Sat May  1 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.5-1mdk
- don't libtoolize
- fix url
- New release 2.6.5

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-4mdk
- Fix again BuildRequires

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-3mdk
- Fix Buildrequires for documentation generation

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-2mdk
- Rebuild with latest libcroco

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-1mdk
- Release 2.6.4 (with Götz Waschk help)

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.0-2mdk
- rebuild for gtk+2.4.0 (because of svg pixbuf loader)

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Remove patch0 (merged upstream)

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-2mdk
- Patch0 (CVS): Fix potential crash (GNOME bug 121288)

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-6mdk
- main package now prereq libcroco1

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-5mdk
- Rebuild with latest libcroco

* Fri Jun 13 2003 Götz Waschk <waschk@linux-mandrake.com> 2.3.0-4mdk
- rebuild for new rpm

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-3mdk
- Fix URL (Steve Fox)

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Rebuild with libcroco support

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Remove patch0 (merged upstream)

* Wed Mar  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.3-3mdk
- Patch0 (CVS): fix "end of context" error message in nautilus (GNOME bug #106399)

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-2mdk
- -devel should requires libgsf-devel

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-1mdk
- Release 2.2.3

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1
- Remove patch0 (merged upstream)

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Patch0 (CVS): fix manpage installation

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-3mdk
- Rebuild against latest gtk+2.0

* Wed Nov 20 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.1-2mdk
- BuildRequires
- added changelog 2.1.1-1mdk

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Fri Jun 14 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.6-2mdk
- BuildRequires

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- Release 1.1.6 (GNOME 2)

* Thu Jan 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- Use correct major number for package naming

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- First Mandrake packae

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
